*==========================================================================
*The Impact of Crime and Insecurity on Trust in Democracy and Institutions
*==========================================================================

* This DO file contains the estimations for the article:
* "The Impact of Crime and Insecurity on Trust in Democracy and Institutions", AER Papers and Proceedings (2013). 
* by Blanco and Ruiz


*======================================================================
*ESTIMATIONS FOR PAPER 
*======================================================================

clear
use "LAPOP_COL_cond1_prov2.dta"
sort year province


***************
*TABLE 1
***************

*DEMOCRACY
**** Satisfaction with democracy
ologit dem_satis victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq   white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect , vce(cluster upmid)
outreg2 using ta1.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)
outreg2, replace 

**** democracy as the best system
ologit dem_best victim perc_insec conf_arm_d bribe_pol_emppub  urban sizecity male age agesq   white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect , vce(cluster upmid)
outreg2 using ta1.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*INSTITUTIONS
*trust_res_polinst
ologit trust_res_polinst victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)
outreg2, replace 

*trust_gobnac
ologit trust_gobnac victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_congreso
ologit trust_congreso victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_fuerzaarm
ologit trust_fuerzaarm victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_judsys
ologit trust_judsys victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_fiscalia
ologit trust_fiscalia victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_procu
ologit trust_procu victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_defensoria
ologit trust_defensoria victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_policia
ologit trust_policia victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)

*trust_others
ologit trust_others victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education i.year i.province gdppercap2 life_expect  , vce(cluster upmid)
outreg2 using ta2.doc, sortvar(victim perc_insec) nolabel append e(N ll chi2 p df_m r2_p) dec(4)


***************
*TABLE A2
***************

*all year
sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect

*by years
sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2004

sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2005

sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2006

sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2007

sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2008

sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2009

sum dem_satis dem_best trust_res_polinst trust_gobnac trust_congreso trust_fuerzaarm trust_judsys trust_fiscalia trust_procu trust_defensoria trust_policia trust_others  victim perc_insec conf_arm_d bribe_pol_emppub urban sizecity male age agesq white mestizo kids_d relationship income education gdppercap2 life_expect if year==2010
